//+------------------------------------------------------------------+
//|                                                        ab-10.mq4 |
//|                                                           petrov |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "petrov"
#property link      "http://www.metaquotes.net"
   extern int Ps         =3;
   extern int Pt         =3;
   extern int Px         =3;
   extern int Py         =3;
   extern int Pz         =20;
   extern int Pma        =10;
   extern int Pn         =8;
   extern double Lots    =0.1;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
 {
    double DoSell;
    double DoBuy;
    double Dma;
    int    StoplossSell;
    int    TakeprofitSell;
    int    StoplossBuy;
    int    TakeprofitBuy;
    int MATrendperiod=10+Pma*MathRound(Dma);     
    double nBuy;
    double nSell;
    int total;                    
    int ticket;
    double Dx;
    double Dy;
    double Dz;
      //StoplossSell  =50-Ps*MathRound(DoSell);
      TakeprofitSell=10+Pt*MathRound(DoSell);
      StoplossBuy   =50-Ps*MathRound(DoBuy);
      TakeprofitBuy =10+Pt*MathRound(DoBuy);
      DoSell =((iMA(NULL,5,1,0,MODE_SMA,PRICE_HIGH,0)-iMA(NULL,5,MATrendperiod,0,MODE_SMA,PRICE_MEDIAN,0))*1000;
      DoBuy  =((iMA(NULL,5,MATrendperiod,0,MODE_SMA,PRICE_MEDIAN,0)-iMA(NULL,5,1,0,MODE_SMA,PRICE_LOW,0))*1000;
      Dma=((((High[iHighest(NULL,15,MODE_HIGH,20,1)]-Low[iLowest(NULL,15,MODE_LOW,20,1)])+(High[iHighest(NULL,15,MODE_HIGH,40,20)]-Low[iLowest(NULL,15,MODE_LOW,40,20)])+(High[iHighest(NULL,15,MODE_HIGH,60,40)]-Low[iLowest(NULL,15,MODE_LOW,60,40)])+(High[iHighest(NULL,15,MODE_HIGH,80,60)]-Low[iLowest(NULL,15,MODE_LOW,80,60)])+(High[iHighest(NULL,15,MODE_HIGH,100,80)])-Low[iLowest(NULL,15,MODE_LOW,100,80)])+(High[iHighest(NULL,15,MODE_HIGH,120,100)]-Low[iLowest(NULL,15,MODE_LOW,120,100)]))/6)*1000;
    if ( iMA(NULL,5,MATrendperiod,0,MODE_SMA,PRICE_MEDIAN,0) > 0 )
    	Dx =(((iMA(NULL,5,1,0,MODE_SMA,PRICE_MEDIAN,0)-iMA(NULL,5,MATrendperiod,0,MODE_SMA,PRICE_MEDIAN,0))/iMA(NULL,5,MATrendperiod,0,MODE_SMA,PRICE_MEDIAN,0))*1000;
    else
    	Dx = 0;
    if ((iMA(NULL,5,1,0,MODE_SMA,PRICE_HIGH,1)-iMA(NULL,5,1,0,MODE_SMA,PRICE_HIGH,1)) > 0 )
    	Dy =((iMA(NULL,5,1,0,MODE_SMA,PRICE_HIGH,0)-iMA(NULL,5,1,0,MODE_SMA,PRICE_LOW,0))/((iMA(NULL,5,1,0,MODE_SMA,PRICE_HIGH,1)-iMA(NULL,5,1,0,MODE_SMA,PRICE_HIGH,1));
    else
    	Dy = 0;
    if ( iVolume(NULL,PERIOD_M5,0) > 0 )
    	Dz =(((iMA(NULL,5,1,0,MODE_SMA,PRICE_HIGH,0)-iMA(NULL,5,1,0,MODE_SMA,PRICE_LOW,0))/iVolume(NULL,PERIOD_M5,0))*1000000;
    else
    	Dz = 0;
    nBuy =(iMA(NULL,5,MATrendperiod,0,MODE_SMA,PRICE_HIGH,0)-iMA(NULL,5,1,0,MODE_SMA,PRICE_HIGH,0))*10000;
    nSell=(iMA(NULL,5,1,0,MODE_SMA,PRICE_LOW,0)-iMA(NULL,5,MATrendperiod,0,MODE_SMA,PRICE_LOW,0))*10000;
  
 
    total     =OrdersTotal();
    if (total<10)
    
        {  
        if (MathRound(Dx)>Px&&MathRound(Dy)<Py&&MathRound(Dz)<Pz&&MathRound(nSell)>Pn)
            ticket=OrderSend("EURUSD",OP_SELL,Lots,Bid,3,Ask+StoplossSell*Point,Bid-TakeprofitSell*Point);
            ticket=OrderSend("EURUSD",OP_SELLLIMIT,2*Lots,Bid+1*StoplossSell*Point,3,Ask+StoplossSell*Point,Bid-TakeprofitSell*Point);
            ticket=OrderSend("EURUSD",OP_SELLLIMIT,3*Lots,Bid+2*StoplossSell*Point,3,Ask+StoplossSell*Point,Bid-TakeprofitSell*Point);
            ticket=OrderSend("EURUSD",OP_SELLLIMIT,4*Lots,Bid+3*StoplossSell*Point,3,Ask+StoplossSell*Point,Bid-TakeprofitSell*Point);
            if(ticket<0)Print("OrderSend failed with error#",GetLastError());
            else return (0);
        if (MathRound(Dx)>Px&&MathRound(Dy)<Py&&MathRound(Dz)<Pz&&MathRound(nBuy)>Pn)
            ticket=OrderSend("EURUSD",OP_BUY,Lots,Ask,3,Bid-StoplossBuy*Point,Ask+TakeprofitBuy*Point);
            ticket=OrderSend("EURUSD",OP_BUYLIMIT,2*Lots,Ask-1*StoplossBuy*Point,3,Bid-StoplossBuy*Point,Ask+TakeprofitBuy*Point);
            ticket=OrderSend("EURUSD",OP_BUYLIMIT,3*Lots,Ask-2*StoplossBuy*Point,3,Bid-StoplossBuy*Point,Ask+TakeprofitBuy*Point);
            ticket=OrderSend("EURUSD",OP_BUYLIMIT,4*Lots,Ask-3*StoplossBuy*Point,3,Bid-StoplossBuy*Point,Ask+TakeprofitBuy*Point);
            if(ticket<0)Print("OrderSend failed with error#",GetLastError());
            else return (0);
        
        }
  return (0);
  }  